Download it now!
Bug 95507 - no dashed rectangles over Start Center sidebar items when you click tab key (OpenGL enabled)
Summary: no dashed rectangles over Start Center sidebar items when you click tab key (...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0.2 target:5.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-11-01 20:04 UTC by tommy27
Modified: 2016-10-25 19:11 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
dashed rectangles (88.89 KB, image/jpeg)
2015-11-01 20:04 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2015-11-01 20:04:36 UTC
Created attachment 120173 [details]
dashed rectangles

tested under Wib8.1 x64 using 5.1.0.0.alpha1+ (x64)
Build ID: f173e148d8f2d0600fd50bee05e536932d529643-GL
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-10-30_22:26:03
Locale: it-IT (it_IT)

1- start LibO
2- click the tab key once the start center shows up
3- a dashed rectangle (see screenshot) will surround the sidebar items giving a visual hint of which one is selected (try clicking tab key over and over again to see the selection moving from the sidebar to the recent list thumbnail panel

this is how it works if OpenGL is disabled (Tools/Options/View/Use OpenGL for all rendering)

but you enable OpenGL you won't see the dashed rectangle anymore so you can't tell which item is currently selected

this is a regression from 5.0.3.1 where you always see the dashed rectangles regardless of the state of the OpenGL option
Comment 1 A (Andy) 2015-11-07 08:51:56 UTC
This bug is for me not reproducible with LO 5.0.3.2, Win 8.1.
Comment 2 tommy27 2015-11-07 09:28:50 UTC
is your Win8.1  32 or 64 bit system?
I still reproduce it on Win8.1 x64 using latest daily build
Comment 3 A (Andy) 2015-11-07 09:33:59 UTC
(In reply to tommy27 from comment #2)
> is your Win8.1  32 or 64 bit system?
> I still reproduce it on Win8.1 x64 using latest daily build

64 bit, but I have tested it on 5.0.3.2 and not 5.1 and therefore it could maybe be a regression if you would also not have it in 5.0.3.2.
Comment 4 tommy27 2015-11-07 09:39:17 UTC
Andy, this is a 5.1.x bug
I've already said in the description that this worked in 5.0.x
Comment 5 A (Andy) 2015-11-07 10:00:48 UTC
(In reply to tommy27 from comment #4)
> Andy, this is a 5.1.x bug
> I've already said in the description that this worked in 5.0.x

I know, I only wanted to test if I can also confirm that this was not the case in previous versions.
Comment 6 Buovjaga 2015-11-11 11:41:12 UTC
Repro.

More testing encouraged.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 6da681442b17c723f9408a806e8d2367441ad65a
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-07_23:13:46
Locale: fi-FI (fi_FI)
Comment 7 raal 2015-11-11 18:34:36 UTC
This seems to have begun at the below commit.Adding Cc: to Markus ; Could you possibly take a look at this one?
Thanks

dfe5bc24f6cc175d0021854f2a8042578f291265 is the first bad commit
commit dfe5bc24f6cc175d0021854f2a8042578f291265
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Jul 18 16:35:48 2015 -0700
    source sha:7eb4c6921850a5a377f6aa42ce4af85b145da01c
    source sha:7eb4c6921850a5a377f6aa42ce4af85b145da01c

	author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2015-06-04 15:39:48 (GMT)
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2015-06-17 12:46:26 (GMT)
commit	7eb4c6921850a5a377f6aa42ce4af85b145da01c (patch)
remove all traces of old device code

bibisect-win32-5.1
$ git bisect log
# bad: [7af0dacdc70e7e8bd0785ab0be6e6ca64b64d08d] source sha:8bde421ccec9c10fe1382ad68485852889dd4c74
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start '7af0dacdc70e7e8bd0785ab0be6e6ca64b64d08d' 'c1efd324c6ad448ac9edb030dc9738b9e6899e4d'
# bad: [3f6a85ce123f4e0c065f1c28b02f66dc7734cc04] source sha:647b5aecd4c3facc302df33386451dda732aab98
git bisect bad 3f6a85ce123f4e0c065f1c28b02f66dc7734cc04
# bad: [c1575e5261af5b8dbdf5740a9bc4e6c7a1ba74d8] source sha:cfbbb3ca5d0d7bc479e219e17aa2919196664118
git bisect bad c1575e5261af5b8dbdf5740a9bc4e6c7a1ba74d8
# good: [6840a870ecdfe7c1e6e5210ac23b4654de934fb5] source sha:238e07ddca879e0951bef6391fdc5c3fc26bded5
git bisect good 6840a870ecdfe7c1e6e5210ac23b4654de934fb5
# bad: [a7db4f6a9c2bfe7c027e8f15f5753e159e276eff] source sha:dc3d621411a1de2ec6b61da07741bdf1c80ffc1f
git bisect bad a7db4f6a9c2bfe7c027e8f15f5753e159e276eff
# good: [1a822261ca62e5b71702eaffc83673e58f1308a0] source sha:97c9a87ac88b18e7bbb72ad218e5ed5cf4f4b2ed
git bisect good 1a822261ca62e5b71702eaffc83673e58f1308a0
# good: [b6018fea962b89b49b7d8be29d8be022506e37b2] source sha:1c3eb9550dd0cb77e1f99c110d4e6626a00ba285
git bisect good b6018fea962b89b49b7d8be29d8be022506e37b2
# good: [0788dde820ad175f55d3eab14d75396aafc06e4e] source sha:ffc1ffed11dc63a69fc2db04f12b3ea266b580fe
git bisect good 0788dde820ad175f55d3eab14d75396aafc06e4e
# bad: [2c4174c1192d26e2a9fed20b366ce3a50321bd29] source sha:e5157e99e9d1fdba98d47342de52ef05b5c3c2f7
git bisect bad 2c4174c1192d26e2a9fed20b366ce3a50321bd29
# good: [a238265506fa1c2cb309b1e8914d9a23a52a0c3f] source sha:09a490ddf516289b4ce2f70a19603b9590917632
git bisect good a238265506fa1c2cb309b1e8914d9a23a52a0c3f
# good: [624bb0f532192c44e632cd8bde80a506e1a121f1] source sha:f067d7010322505013693a18b68fac6d6a53e61f
git bisect good 624bb0f532192c44e632cd8bde80a506e1a121f1
# bad: [317b006e8b8250f2bc8811b259e6e8fdc38be742] source sha:60e2be1b664b290df891fcef1e7f29773f8f8ee6
git bisect bad 317b006e8b8250f2bc8811b259e6e8fdc38be742
# bad: [59400bc212cf2ceca6dd2fc6280f232888af1612] source sha:56b1a63e670ed7e8c5cda4c86a23c347ce32a224
git bisect bad 59400bc212cf2ceca6dd2fc6280f232888af1612
# bad: [dfe5bc24f6cc175d0021854f2a8042578f291265] source sha:7eb4c6921850a5a377f6aa42ce4af85b145da01c
git bisect bad dfe5bc24f6cc175d0021854f2a8042578f291265
# first bad commit: [dfe5bc24f6cc175d0021854f2a8042578f291265] source sha:7eb4c6921850a5a377f6aa42ce4af85b145da01c
Comment 8 Robinson Tryon (qubit) 2015-12-13 11:14:31 UTC Comment hidden (obsolete)
Comment 9 Michael Meeks 2015-12-31 18:11:49 UTC
This is a missing 'invert 50' implementation. Working on it in the GL backend just now =)
Comment 10 Michael Meeks 2015-12-31 21:33:59 UTC
Fix at: https://gerrit.libreoffice.org/21025 pending CI, and also:
https://gerrit.libreoffice.org/21026 for -5-1 ...
Comment 11 Commit Notification 2015-12-31 22:39:25 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3da866919c9a6904f8b007bbe018846dcf7f35c&h=libreoffice-5-1

tdf#95507 - implement opengl / 50% invert method.

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-12-31 22:41:25 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e81c4d3ea00949cb4d8c3f44e09e70b19eebb826

tdf#95507 - implement opengl / 50% invert method.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.